PHP Manual
Prev |  | Next

# PharFileInfo->getCompressedSize

(no version information, might be only in CVS)

PharFileInfo->getCompressedSize -- Returns the actual size of the file (with compression) inside the Phar archive

## Description

int PharFileInfo->getCompressedSize ( void )

This returns the size of the file within the Phar archive. Uncompressed files will return the same value for getCompressedSize as they will with filesize()

## Return Values

The size in bytes of the file within the Phar archive on disk.

## Examples

Example 1. A PharFileInfo->getCompressedSize() example

`<?php try { $p = new Phar('/path/to/my.phar', 0, 'my.phar'); $p['myfile.txt'] = 'hi'; $file = $p['myfile.txt']; echo $file->getCompressedSize(); } catch (Exception $e) { echo 'Write operations failed on my.phar: ', $e; } ?>`

The above example will output:

    2

## See Also

PharFileInfo->isCompressed()

Prev | Home | Next
PharFileInfo::__construct | Up | PharFileInfo->getCRC32